#include "AMI.h"

#include "defines.h"
#include "util.h"

AMI::AMI(SDL_Renderer* renderer)
    : View{renderer}, avenir{util::load_font(AVENIR_FONT_PATH, 20)},
      ft_logo{renderer, FT_LOGO_PATH}, choose{renderer, avenir,
                                              "Choose a mission:"} {
  ft_logo.set_height(40);
  ft_logo.set_position(SCREEN_WIDTH / 2, 0);
  ft_logo.set_alignment(Alignment::CENTER);
  widgets.push_back(&ft_logo);
  choose.set_position(SCREEN_WIDTH / 2, 45);
  choose.set_alignment(Alignment::CENTER);
  widgets.push_back(&choose);
}

void AMI::draw() {
  SDL_SetRenderDrawColor(renderer, 0x00, 0x00, 0x00, 0xFF);
  SDL_RenderClear(renderer);
  for (const auto& widget : widgets) {
    widget->draw();
  }
}